post #1 of 1
Thread Starter 

This post is to inform the community that we are no longer be supporting Internet Explorer 8. Likewise we will soon begin phasing out support for Internet Explorer 9 as well. The recommended browser that EpicSki consistently runs the best on is Google Chrome, however if you prefer Internet Explorer (or another supported browser like Safari or Firefox) versions 10, and the recently released 11 will continue to be supported.

 

What does this mean for you? Not much really, just that if you have Internet Explorer 8 or 9 (about 5% of you) you will begin seeing a message at the top of the page asking you to upgrade. The website will continue to function correctly nearly all the time, however going forward we will no longer test for bugs nor fix issues that only occur in IE8 or 9 and not in other more modern browsers. 

 

If you need any help with upgrading your browser, feel free to contact me via PM.